Bug 805787 - xchat segfaults when connecting to certain SSLed IRC servers
xchat segfaults when connecting to certain SSLed IRC servers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 02:34 EDT by postmodern
Modified: 2013-02-13 07:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:52:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description postmodern 2012-03-22 02:34:08 EDT
Description of problem:

When connecting to certain SSL enabled IRC Servers, xchat-gnome will SegFault.


Version-Release number of selected component (if applicable):

Version: 2.8.8
Release: 10.fc16


How reproducible:

Steps to Reproduce:
1. Run `xchat`
2. /connect irc.haxnet.org 6697 -ssl
  
Actual results:

Segfault while displaying the certificate information.


Expected results:

Successfully connects.


Additional info:

Program received signal SIGSEGV, Segmentation fault.
0x0000003acd24b3c6 in _IO_vfprintf_internal (s=<optimized out>, format=<optimized out>, 
    ap=<optimized out>) at vfprintf.c:1571
#0  0x0000003acd24b3c6 in _IO_vfprintf_internal (s=<optimized out>, 
    format=<optimized out>, ap=<optimized out>) at vfprintf.c:1571
#1  0x0000003acd3060f0 in ___vsnprintf_chk (s=0x7fffffffdb60 "    dev", 
    maxlen=<optimized out>, flags=1, slen=<optimized out>, format=0x48086e "    %s", 
    args=0x7fffffffd728) at vsnprintf_chk.c:65
#2  0x0000003acd306038 in ___snprintf_chk (s=<optimized out>, maxlen=<optimized out>, 
    flags=<optimized out>, slen=<optimized out>, format=<optimized out>)
    at snprintf_chk.c:36
#3  0x000000000045ab7f in snprintf (__fmt=0x48086e "    %s", __n=128, __s=
    0x7fffffffdb60 "    dev") at /usr/include/bits/stdio2.h:65
#4  ssl_do_connect (serv=0x133fbb0) at server.c:672
#5  0x0000003acf2462bb in g_timeout_dispatch (source=0x13d86b0, 
    callback=<optimized out>, user_data=<optimized out>) at gmain.c:3907
#6  0x0000003acf244acd in g_main_dispatch (context=0x8e91c0) at gmain.c:2441
#7  g_main_context_dispatch (context=0x8e91c0) at gmain.c:3011
#8  0x0000003acf2452c8 in g_main_context_iterate (context=0x8e91c0, 
    block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3089
#9  0x0000003acf245815 in g_main_loop_run (loop=0x908b10) at gmain.c:3297
#10 0x0000003ad8f4bbb7 in IA__gtk_main () at gtkmain.c:1256
#11 0x000000000041b269 in fe_main () at fe-gtk.c:290
#12 0x0000000000411b2a in main (argc=1, argv=0x7fffffffdee8) at xchat.c:1049
Comment 1 Fedora End Of Life 2013-01-16 07:33:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:52:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.